aboutsummaryrefslogtreecommitdiff
path: root/net.Linux/bridge.sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-04-17 11:27:47 +0000
committerRoy Marples <roy@marples.name>2007-04-17 11:27:47 +0000
commite635e1646466d632250ac2ed9e0d3d3b86dfb4cf (patch)
tree13f3d7f4d8576120f856d7392aa4997a1a3dde84 /net.Linux/bridge.sh
parentf657d87b997f5b599d74a8f2eb6fef8dd6381550 (diff)
Fix bridge, vlan and bonding modules to work together, #174792.
Diffstat (limited to 'net.Linux/bridge.sh')
-rw-r--r--net.Linux/bridge.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/net.Linux/bridge.sh b/net.Linux/bridge.sh
index 89d5687e..a97e525a 100644
--- a/net.Linux/bridge.sh
+++ b/net.Linux/bridge.sh
@@ -56,7 +56,8 @@ bridge_pre_start() {
eval set -- ${ports}
for x in "$@" ; do
ebegin "${x}"
- if ! ifconfig "${x}" promisc up && brctl addif "${IFACE}" "${x}" ; then
+ ifconfig "${x}" promisc up
+ if ! brctl addif "${IFACE}" "${x}" ; then
ifconfig "${x}" -promisc 2>/dev/null
eend 1
return 1
@@ -66,6 +67,9 @@ bridge_pre_start() {
eoutdent
fi
)
+
+ # Bring up the bridge
+ _up
}
bridge_post_stop() {